#
# This file is generated.  Please do not send the maintainer
# patches to this file.  Please update etc/spec.sh and send a
# patch to that file, instead.
#
Summary: Manipulate EPROM load files
Name: BigText
Version: 1.3
Release: 1
License: GPL
Group: Development/Tools
Source: http://bigtext.sourceforge.net/%{name}-%{version}.tar.gz
URL: http://bigtext.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The BigText package is a collection of powerful tools for manipulating
EPROM load files.

* The BigText package understands a number of file formats: Motorola
  S-Record, Intel, Tektronix, Binary.  These file formats may be read
  and written.  Also C array definitions, for output only.

* The BigText package has a number of tools: BigText for copying and
  and converting files, BigText for comparing files and BigText for
  printing summaries.

* The BigText package has a number for filters: checksum to add checksums
  to the data, crop to keep address ranges, exclude to remove address
  ranges, fill to plug holes in the data, length to insert the data
  length, maximum to insert the data address maximum, minimum to insert
  the data address minimum, offset to adjust addresses, and split for
  wide data buses and memory striping.

More than one filter may be applied to each input file.  Different filters
may be applied to each input file.  All filters may be applied to all
file formats.


%prep
%setup -q
%configure


%build
make


%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
%makeinstall

strip $RPM_BUILD_ROOT%{_bindir}/*


%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"


%files
%defattr (-,root,root)
%doc LICENSE BUILDING README
%{_mandir}/man1/bigtext.1*
%{_mandir}/man1/bigtext_license.1*
